<template>
    <div class="tools">
        <component
            v-for="tool in tools"
            :key="tool.resource"
            :is="tool.component"
            v-bind="tool"
        />
    </div>
</template>

<script>
export default {
    data: () => ({
        tools: []
    }),
    created () {
        Nova.request()
            .get('/nova-vendor/nova-toolbar-tools/tools')
            .then(response => {
                this.tools = response.data
            })
    }
}
</script>

<style scoped>
</style>
